Project

General

Profile

action #101274

openQABot pipeline failed with NewConnectionError

Added by tinita 7 months ago. Updated 7 months ago.

Status:
New
Priority:
Normal
Assignee:
-
Category:
Concrete Bugs
Target version:
Start date:
2021-10-21
Due date:
% Done:

0%

Estimated time:
Difficulty:

Description

Traceback (most recent call last):
51  File "/usr/lib/python3.6/site-packages/urllib3/connection.py", line 160, in _new_conn
52    (self._dns_host, self.port), self.timeout, **extra_kw
53  File "/usr/lib/python3.6/site-packages/urllib3/util/connection.py", line 61, in create_connection
54    for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
55  File "/usr/lib64/python3.6/socket.py", line 745, in getaddrinfo
56    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
57socket.gaierror: [Errno -3] Temporary failure in name resolution
58During handling of the above exception, another exception occurred:
59Traceback (most recent call last):
60  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 677, in urlopen
61    chunked=chunked,
62  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 381, in _make_request
63    self._validate_conn(conn)
64  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 978, in _validate_conn
65    conn.connect()
66  File "/usr/lib/python3.6/site-packages/urllib3/connection.py", line 309, in connect
67    conn = self._new_conn()
68  File "/usr/lib/python3.6/site-packages/urllib3/connection.py", line 172, in _new_conn
69    self, "Failed to establish a new connection: %s" % e
70urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPSConnection object at 0x7ff97b4a3940>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution
71During handling of the above exception, another exception occurred:
72Traceback (most recent call last):
73  File "/usr/lib/python3.6/site-packages/requests/adapters.py", line 449, in send
74    timeout=timeout
75  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 727, in urlopen
76    method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
77  File "/usr/lib/python3.6/site-packages/urllib3/util/retry.py", line 439, in increment
78    raise MaxRetryError(_pool, url, error or ResponseError(cause))
79urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='smelt.suse.de', port=443): Max retries exceeded with url: /graphql/?query=%7Brequests%28kind%3A+%22MI%22%2C+first%3A+100%2C+after%3A+%22YXJyYXljb25uZWN0aW9uOjI0Nzk5%22+%29+%7B+pageInfo+%7B+hasNextPage+endCursor+%7D+edges+%7B+node+%7B+requestId+status+%7B+name+%7D+%7D+%7D+%7D+%7D (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x7ff97b4a3940>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution',))
80During handling of the above exception, another exception occurred:
81Traceback (most recent call last):
82  File "./oqabot.py", line 27, in <module>
83    main()
84  File "/builds/wxDU3Xwr/0/qa-maintenance/openQABot/openqabot/main.py", line 18, in main
85    sys.exit(run_bot(logger, args, sys))
86  File "/builds/wxDU3Xwr/0/qa-maintenance/openQABot/openqabot/main.py", line 41, in run_bot
87    return OpenQABot(metadata, args)()
88  File "/builds/wxDU3Xwr/0/qa-maintenance/openQABot/openqabot/openqabot.py", line 77, in __init__
89    self.mrs = MR(args.smelt, args.base_url, args.commenter)()
90  File "/builds/wxDU3Xwr/0/qa-maintenance/openQABot/openqabot/update/mr.py", line 23, in __call__
91    return self._get_mr_data()
92  File "/builds/wxDU3Xwr/0/qa-maintenance/openQABot/openqabot/update/mr.py", line 144, in _get_mr_data
93    ids = self._get_mr_ids()
94  File "/builds/wxDU3Xwr/0/qa-maintenance/openQABot/openqabot/update/mr.py", line 85, in _get_mr_ids
95    self.smelt, params={"query": query}, verify=False
96  File "/usr/lib/python3.6/site-packages/requests/api.py", line 76, in get
97    return request('get', url, params=params, **kwargs)
98  File "/usr/lib/python3.6/site-packages/requests/api.py", line 61, in request
99    return session.request(method=method, url=url, **kwargs)
100  File "/usr/lib/python3.6/site-packages/requests/sessions.py", line 530, in request
101    resp = self.send(prep, **send_kwargs)
102  File "/usr/lib/python3.6/site-packages/requests/sessions.py", line 643, in send
103    r = adapter.send(request, **kwargs)
104  File "/usr/lib/python3.6/site-packages/requests/adapters.py", line 516, in send
105    raise ConnectionError(e, request=request)
106requests.exceptions.ConnectionError: HTTPSConnectionPool(host='smelt.suse.de', port=443): Max retries exceeded with url: /graphql/?query=%7Brequests%28kind%3A+%22MI%22%2C+first%3A+100%2C+after%3A+%22YXJyYXljb25uZWN0aW9uOjI0Nzk5%22+%29+%7B+pageInfo+%7B+hasNextPage+endCursor+%7D+edges+%7B+node+%7B+requestId+status+%7B+name+%7D+%7D+%7D+%7D+%7D (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x7ff97b4a3940>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution',))

Related issues

Related to QA - action #95822: qa-maintenance/openQABot failed to trigger aggregate tests with "urllib.error.HTTPError: HTTP Error 500: Internal Server Error"New2021-07-22

Related to openQA Infrastructure - action #105169: Pipeline of openQABot project fails with "urllib.error.HTTPError: HTTP Error 503: Service Unavailable" causing alert/notificationResolved2022-01-20

History

#1 Updated by okurz 7 months ago

  • Priority changed from High to Normal
  • Target version set to future

Looks like related to core switch reboot which was planned maintenance during that time. However retrying should be possible in such occasions

#2 Updated by okurz 4 months ago

  • Related to action #95822: qa-maintenance/openQABot failed to trigger aggregate tests with "urllib.error.HTTPError: HTTP Error 500: Internal Server Error" added

#3 Updated by okurz 4 months ago

  • Related to action #105169: Pipeline of openQABot project fails with "urllib.error.HTTPError: HTTP Error 503: Service Unavailable" causing alert/notification added

Also available in: Atom PDF